Package org.gradle.api.plugins

# Class JvmTestSuitePlugin

java.lang.Object
org.gradle.api.plugins.JvmTestSuitePlugin

All Implemented Interfaces:
  `Plugin<Project>`

@Incubating public abstract class JvmTestSuitePlugin extends Object implements Plugin<Project>
A `Plugin` that adds extensions for declaring, compiling and running `JvmTestSuite`s.

This plugin provides conventions for several things:

- All other `JvmTestSuite` will use the JUnit Jupiter testing framework unless specified otherwise.
- A single test suite target is added to each `JvmTestSuite`.

Since:
  7.3
See Also:
  - Test Suite plugin reference

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_TEST_SUITE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JvmTestSuitePlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_TEST_SUITE_NAME

    public static final String DEFAULT_TEST_SUITE_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JvmTestSuitePlugin

    public JvmTestSuitePlugin()

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object